import java.util.LinkedList;

class Customer {
  private String name;   
  private int password;  
  private LinkedList<Account> accounts; 
  
  boolean checkName(String name)
  {
	  if(this.name.equals(name)) return true;
	  else return false;
  }
  
  boolean checkPassword(int passwd)
  {
	  if(this.password == passwd) return true;
	  else return false;
  }
}

class Account {
  private int number;      
  private Customer owner;  
  private double balance;
  
  public double getBalance()
  {
	  return this.balance;
  }
  
  void withdraw(double amt) {  
	        this.balance = this.balance - amt;
  }
  
  boolean checkNumber(int number)
  {
	  if(this.number == number) return true;
	  else return false;		  
  }

}

class BankingService {
  private LinkedList<Account> accounts;   
  private LinkedList<Customer> customers; 
  
  public double getBalance(int forAcctNum) {  
    for (Account acct:accounts) {
      if (acct.checkNumber(forAcctNum))
        return acct.getBalance();
    }
    return 0;  
  }
  
  public void withdraw(int forAcctNum, double amt) {  
    for (Account acct:accounts) {                
      if (acct.checkNumber(forAcctNum)) {
        acct.withdraw(amt);
      }
    }
   
  }
  
  public String login(String custname, int withPwd) {
    for (Customer cust:customers) {    
	if (cust.checkName(custname)) {     
        if (cust.checkPassword(withPwd))  
          return "Welcome";
        else 
          return "Try Again";
      }}
    return "Oops -- don't know this customer";  
  }
    
}